//! Traits for basic types, because Rust doesn't provide them.

/// Any primitive integer type.
pub trait PrimInt: 'static + Send + Sync + std::fmt::Display + PartialEq {}

impl PrimInt for u8   {}
impl PrimInt for i8   {}
impl PrimInt for u16  {}
impl PrimInt for i16  {}
impl PrimInt for u32  {}
impl PrimInt for i32  {}
impl PrimInt for u64  {}
impl PrimInt for i64  {}
impl PrimInt for u128 {}
impl PrimInt for i128 {}

// EOF
