use maraiah::durandal::image::Color;
use maraiah::marathon::pict::get_clut;

#[test]
fn get_clut_must_process_this()
{
   assert_eq!(get_clut(INPUT).unwrap(), (OUTPUT.to_vec(), 2056));
}

const INPUT: &'static [u8] = include_bytes!("clut.in");
const OUTPUT: [Color; 256] = include!("clut.out");

// EOF
